Loading...
Searching...
No Matches
Sip_remote_party_id

## Data Structures

struct | sip_remote_party_id_s
| Structure for Remote-Party-ID header. More...

## Macros

#define | sip_remote_party_id(sip)
| Access a SIP Remote-Party-ID header structure #sip_remote_party_id_t from sip_t.
#define | SIP_REMOTE_PARTY_ID_INIT()
| Initializer for structure #sip_remote_party_id_t.
#define | SIPTAG_REMOTE_PARTY_ID(x)
| Tag list item for pointer to a Remote-Party-ID header structure #sip_remote_party_id_t.
#define | SIPTAG_REMOTE_PARTY_ID_REF(x)
| Tag list item for reference to a Remote-Party-ID header pointer.
#define | SIPTAG_REMOTE_PARTY_ID_STR(s)
| Tag list item for string with Remote-Party-ID header value.
#define | SIPTAG_REMOTE_PARTY_ID_STR_REF(x)
| Tag list item for reference to a Remote-Party-ID header string.

## Functions

issize_t | sip_remote_party_id_d (su_home_t *, msg_header_t *, char *s, isize_t slen)
| Parse a SIP Remote-Party-ID header.
issize_t | sip_remote_party_id_e (char b[], isize_t bsiz, msg_header_t const *h, int flags)
| Print a SIP Remote-Party-ID header.
sip_remote_party_id_t * | sip_remote_party_id_init (sip_remote_party_id_t x[1])
| Initialize a structure #sip_remote_party_id_t.
int | sip_is_remote_party_id (sip_header_t const *header)
| Test if header object is instance of #sip_remote_party_id_t.
sip_remote_party_id_t * | sip_remote_party_id_dup (su_home_t *home, sip_remote_party_id_t const *hdr))
| Duplicate a list of Remote-Party-ID header header structures #sip_remote_party_id_t.
sip_remote_party_id_t * | sip_remote_party_id_copy (su_home_t *home, sip_remote_party_id_t const *hdr))
| Copy a list of Remote-Party-ID header header structures #sip_remote_party_id_t.
sip_remote_party_id_t * | sip_remote_party_id_make (su_home_t *home, char const *s))
| Make a Remote-Party-ID header structure #sip_remote_party_id_t.
sip_remote_party_id_t * | sip_remote_party_id_format (su_home_t *home, char const *fmt,...)))
| Make a Remote-Party-ID header from formatting result.

## Variables

msg_hclass_t | sip_remote_party_id_class []
| Header class for Remote-Party-ID header.
tag_typedef_t | siptag_remote_party_id
| Tag for Remote-Party-ID header object.
tag_typedef_t | siptag_remote_party_id_str
| Tag for string with Remote-Party-ID header value.

## Detailed Description

## Macro Definition Documentation

## sip_remote_party_id

#define sip_remote_party_id | ( |  | sip | ) |

Access a SIP Remote-Party-ID header structure #sip_remote_party_id_t from sip_t.

Since
  New in
  New in 1.12.7.

## SIP_REMOTE_PARTY_ID_INIT

#define SIP_REMOTE_PARTY_ID_INIT | ( |  | ) |

Initializer for structure #sip_remote_party_id_t.

A static #sip_remote_party_id_t structure for Remote-Party-ID header must be initialized with the SIP_REMOTE_PARTY_ID_INIT() macro. For instance,

sip_remote_party_id_t sip_remote_party_id = SIP_REMOTE_PARTY_ID_INIT;
SIP_REMOTE_PARTY_ID_INIT
#define SIP_REMOTE_PARTY_ID_INIT()
Initializer for structure sip_remote_party_id_t.
Definition sip_extra.h:1264
sip_remote_party_id
#define sip_remote_party_id(sip)
Access a SIP Remote-Party-ID header structure sip_remote_party_id_t from sip_t.
Definition sip_extra.h:1246

Since
  New in
  New in 1.12.7.

## SIPTAG_REMOTE_PARTY_ID

#define SIPTAG_REMOTE_PARTY_ID | ( |  | x | ) |

Tag list item for pointer to a Remote-Party-ID header structure #sip_remote_party_id_t.

The SIPTAG_REMOTE_PARTY_ID() macro is used to include a tag item with a pointer to a #sip_remote_party_id_t structure in a tag list.

Parameters

  x | pointer to a #sip_remote_party_id_t structure, or NULL.

The corresponding tag taking reference parameter is SIPTAG_REMOTE_PARTY_ID_REF().

Since
  New in
  New in 1.12.7.

## SIPTAG_REMOTE_PARTY_ID_STR

#define SIPTAG_REMOTE_PARTY_ID_STR | ( |  | s | ) |

Tag list item for string with Remote-Party-ID header value.

The SIPTAG_REMOTE_PARTY_ID_STR() macro is used to include a tag item with a string containing value of a #sip_remote_party_id_t header in a tag list.

Parameters

  s | pointer to a string containing Remote-Party-ID header value, or NULL.

The string in SIPTAG_REMOTE_PARTY_ID_STR() can be converted to a #sip_remote_party_id_t header structure by giving the string s has second argument to function sip_remote_party_id_make().

The corresponding tag taking reference parameter is SIPTAG_REMOTE_PARTY_ID_STR_REF().

Since
  New in
  New in 1.12.7.

## Function Documentation

## sip_is_remote_party_id()

int sip_is_remote_party_id | ( | sip_header_t const * | header | ) |

inline

Test if header object is instance of #sip_remote_party_id_t.

Check if the header class is an instance of Remote-Party-ID header object and return true (nonzero), otherwise return false (zero).

Parameters

  header | pointer to the header structure to be tested

Return values

  1 | (true) if the header is an instance of header remote_party_id
  0 | (false) otherwise

Since
  New in
  New in 1.12.7.

## sip_remote_party_id_copy()

sip_remote_party_id_t * sip_remote_party_id_copy | ( | su_home_t * | home,
|  | sip_remote_party_id_t const * | hdr )

inline

Copy a list of Remote-Party-ID header header structures #sip_remote_party_id_t.

The function sip_remote_party_id_copy() copies a header structure hdr. If the header structure hdr contains a reference (`hdr->h_next`) to a list of headers, all the headers in that list are copied, too. The function uses given memory home to allocate all the memory areas used to copy the list of header structure hdr.

Parameters

  home | memory home used to allocate new structure
  hdr | pointer to the header structure to be copied

When copying, only the header structure and parameter lists attached to it are duplicated. The new header structure retains all the references to the strings within the old hdr header, including the encoding of the old header, if present.

Example
  remote_party_id = sip_remote_party_id_copy(home, sip->sip_remote_party_id);
  sip_remote_party_id_copy
  sip_remote_party_id_t * sip_remote_party_id_copy(su_home_t *home, sip_remote_party_id_t const *hdr))
  Copy a list of Remote-Party-ID header header structures sip_remote_party_id_t.
  Definition sip_extra.h:1398

Returns
  A pointer to newly copied header structure, or NULL upon an error.

Since
  New in
  New in 1.12.7.

## sip_remote_party_id_dup()

sip_remote_party_id_t * sip_remote_party_id_dup | ( | su_home_t * | home,
|  | sip_remote_party_id_t const * | hdr )

inline

Duplicate a list of Remote-Party-ID header header structures #sip_remote_party_id_t.

Duplicate a header structure hdr. If the header structure hdr contains a reference (`hdr->x_next`) to a list of headers, all the headers in the list are duplicated, too.

Parameters

  home | memory home used to allocate new structure
  hdr | header structure to be duplicated

When duplicating, all parameter lists and non-constant strings attached to the header are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header.

Example
  remote_party_id = sip_remote_party_id_dup(home, sip->sip_remote_party_id);
  sip_remote_party_id_dup
  sip_remote_party_id_t * sip_remote_party_id_dup(su_home_t *home, sip_remote_party_id_t const *hdr))
  Duplicate a list of Remote-Party-ID header header structures sip_remote_party_id_t.
  Definition sip_extra.h:1354

Returns
  A pointer to the newly duplicated #sip_remote_party_id_t header structure, or NULL upon an error.

Since
  New in
  New in 1.12.7.

## sip_remote_party_id_format()

sip_remote_party_id_t * sip_remote_party_id_format | ( | su_home_t * | home,
|  | char const * | fmt,
|  |  | ... )

inline

Make a Remote-Party-ID header from formatting result.

Make a new #sip_remote_party_id_t object using formatting result as its value. The function first prints the arguments according to the format fmt specified. Then it allocates a new header structure, and parses the formatting result to the structure #sip_remote_party_id_t.

Parameters

  home | memory home used to allocate new header structure.
  fmt | string used as a printf()-style format
  ... | argument list for format

Returns
  A pointer to newly makes header structure, or NULL upon an error.

Since
  New in
  New in 1.12.7.

## sip_remote_party_id_init()

sip_remote_party_id_t * sip_remote_party_id_init | ( | sip_remote_party_id_t | x[1] | ) |

inline

Initialize a structure #sip_remote_party_id_t.

An #sip_remote_party_id_t structure for Remote-Party-ID header can be initialized with the sip_remote_party_id_init() function/macro. For instance,

sip_remote_party_id_t sip_remote_party_id;
sip_remote_party_id_init(&sip_remote_party_id);
sip_remote_party_id_init
sip_remote_party_id_t * sip_remote_party_id_init(sip_remote_party_id_t x[1])
Initialize a structure sip_remote_party_id_t.
Definition sip_extra.h:1283

Since
  New in
  New in 1.12.7.

## sip_remote_party_id_make()

sip_remote_party_id_t * sip_remote_party_id_make | ( | su_home_t * | home,
|  | char const * | s )

inline

Make a Remote-Party-ID header structure #sip_remote_party_id_t.

The function sip_remote_party_id_make() makes a new #sip_remote_party_id_t header structure. It allocates a new header structure, and decodes the string s as the value of the structure.

Parameters

  home | memory home used to allocate new header structure.
  s | string to be decoded as value of the new header structure

Returns
  A pointer to newly maked #sip_remote_party_id_t header structure, or NULL upon an error.

Since
  New in
  New in 1.12.7.

## Variable Documentation

## sip_remote_party_id_class

msg_hclass_t sip_remote_party_id_class[]

extern

Header class for Remote-Party-ID header.

The header class sip_remote_party_id_class defines how a SIP Remote-Party-ID header is parsed and printed. It also contains methods used by SIP parser and other functions to manipulate the #sip_remote_party_id_t header structure.

Since
  New in
  New in 1.12.7.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.